Subject: [alpine-devel] wrong system monitor numbers

From: Cág <[email-masked]>
Date: Sat, 16 Jul 2016 10:48:14 +0300

Hello there,

On my Alpine installation I managed to compile dwm to copy the 
appearance
from my Debian installation. As I use dwm bar to show some system 
information
(audio volume, RAM utilised, battery power and clock) I was slightly 
surprised
to see very very big numbers in RAM. To display it I use this

vmstat -sS M | awk 'NR==1,NR==2 { print $1 }' ORS=' ' \
     | awk '{ printf "%d/%d", $2, $1 }'

Seems like vmstat shows uncached/unbuffered amount of memory. Right now
it shows around 3000 MB out of my 5850 with Firefox and st. On my Debian
it never goes further than ~500MB.

Anyway, free -m in buffers/cache shows numbers bigger than in htop
which also never happened to me in Debian. I expect both free -m and
that vmstat output to show no more than around 20MB with X11 loaded, 
which
was normal on Debian, but here it shows around 90 for vmstat and ~40 for 
free.
htop says less.

As for actual system load, I use the same 4.4.14 kernels on both 
installations.
By the way, I was *forced* to use my kernel, because after installation
Alpine gave me a PANIC. Also, there are pretty much no services on 
startup
on both, apart from acpid.

What is also interesting, a couple months ago I played with CRUX and
both free and vmstat showed me the same numbers as Debian.

Any ideas on what the reason is and how to solve it would be highly 
appreciated.

Have a good weekend,
Cág

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---